


public class Respawn {
	
	long temps;
	Entite e;
	int cooldown = 5000;
	boolean efface;
	
	public Respawn(Entite e) {
		this.temps = System.currentTimeMillis();
		this.e=e;
		
	}
	
	public void tick(){
		spawn();
	}
	
	//Si on depasse le cooldown et que l'entite se situe en dehors de la camera alors il respawn
	public void spawn(){
	
		if(System.currentTimeMillis()-temps >= cooldown && horsCamera()){
			e.vie=e.DEFAULT_vie;
			e.enVie=true;
			Fenetre.gEntite.addEntite(e);
			efface=true;
		}
	}	
	//Verifie si l'entite est bien en dehors de la camera
	public boolean horsCamera(){
		if(e.x<Fenetre.j1.x-Fenetre.LARGEUR_FENETRE || e.x>Fenetre.j1.x+Fenetre.j1.largeur+Fenetre.LARGEUR_FENETRE ||
					e.y<Fenetre.j1.y-Fenetre.HAUTEUR_FENETRE|| e.y>Fenetre.j1.y+Fenetre.j1.hauteur+Fenetre.HAUTEUR_FENETRE){
						return true;
		}
		else{
			return false;
		}
					
								
	
	
		
	}
	
}

